Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.portlet
Class UserInterface

    java.lang.Object
      com.plumtree.remote.portlet.UserInterface

public class UserInterface
extends java.lang.Object

`UserInterface` is an enumeration that describes the different kinds of user interfaces (for example, phone, PDA or Web browser) that can be used in the portal. `UserInterface` is a type-safe enumeration, so instances of the class can be compared using identity equality.

Field Summary
`static UserInterface` | `Accessible` `Accessible` indicates that the user request is coming from the ALI Portal for People with Disabilities.
`static UserInterface` | `HDML` `HDML` (Handheld Device Markup Language) is a user interface markup language for older mobile phones.
`static UserInterface` | `PDA` `PDA` (Personal Data Assistant) represents a class of devices that have more functionality than a phone but less than a laptop.
`static UserInterface` | `Standard` `Standard` is a standard Web browser that uses the normal HTML interface that comes with the portal.
`static UserInterface` | `WML` `WML` (or Wireless Markup Language) is part of the WAP standard, supported by browsers on newer phones.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HDML

    public static UserInterface HDML

  `HDML` (Handheld Device Markup Language) is a user interface markup language for older mobile phones.

### PDA

    public static UserInterface PDA

  `PDA` (Personal Data Assistant) represents a class of devices that have more functionality than a phone but less than a laptop. These devices have browsers that can accept basic HTML without scripts or DHTML.

### Standard

    public static UserInterface Standard

  `Standard` is a standard Web browser that uses the normal HTML interface that comes with the portal.

### WML

    public static UserInterface WML

  `WML` (or Wireless Markup Language) is part of the WAP standard, supported by browsers on newer phones.

### Accessible

    public static UserInterface Accessible

  `Accessible` indicates that the user request is coming from the ALI Portal for People with Disabilities. The portlet should comply with guidelines that make HTML markup accessible to people with disabilities.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more, see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.